(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     23376,        651]
NotebookOptionsPosition[     22331,        612]
NotebookOutlinePosition[     22788,        630]
CellTagsIndexPosition[     22745,        627]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"Clear", "[", 
   RowBox[{"x", ",", "k"}], "]"}], ";", 
  RowBox[{"Clear", "[", 
   RowBox[{"y", ",", "n"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5705808860562353`*^9, 3.5705808913993063`*^9}, {
  3.570581081164304*^9, 3.570581092098365*^9}, {3.570581137456099*^9, 
  3.570581137983617*^9}, {3.57058126986307*^9, 3.5705812706068077`*^9}, {
  3.570581312934086*^9, 3.570581313331942*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"x", "[", "0", "]"}], ":=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"h", ":=", ".2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"x", "[", "k_", "]"}], ":=", 
   RowBox[{
    RowBox[{"x", "[", 
     RowBox[{"k", "-", "1"}], "]"}], "+", "h"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"F", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], "=", 
   RowBox[{"y", "-", "x"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"y", "[", "0", "]"}], ":=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"y", "[", "n_", "]"}], ":=", 
   RowBox[{
    RowBox[{"y", "[", 
     RowBox[{"n", "-", "1"}], "]"}], "+", 
    RowBox[{"h", "*", 
     RowBox[{"F", "[", 
      RowBox[{
       RowBox[{"x", "[", 
        RowBox[{"n", "-", "1"}], "]"}], ",", 
       RowBox[{"y", "[", 
        RowBox[{"n", "-", "1"}], "]"}]}], "]"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"L", "[", "0", "]"}], ":=", 
   RowBox[{"Point", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x", "[", "0", "]"}], ",", 
      RowBox[{"y", "[", "0", "]"}]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"L", "[", "i_", "]"}], ":=", 
   RowBox[{"Arrow", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"x", "[", 
         RowBox[{"i", "-", "1"}], "]"}], ",", 
        RowBox[{"y", "[", 
         RowBox[{"i", "-", "1"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"x", "[", "i", "]"}], ",", 
        RowBox[{"y", "[", "i", "]"}]}], "}"}]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"V", "=", 
   RowBox[{"VectorPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{"y", "-", "x"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "1.9", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{"-", "15"}], ",", "1"}], "}"}], ",", 
     RowBox[{"VectorScale", "\[Rule]", "0.01"}]}], "]"}]}], ";", 
  RowBox[{"P", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     FractionBox[
      RowBox[{
       SuperscriptBox["\[ExponentialE]", "2"], "-", 
       RowBox[{"3", " ", 
        SuperscriptBox["\[ExponentialE]", "x"]}], "+", 
       RowBox[{
        SuperscriptBox["\[ExponentialE]", "2"], " ", "x"}]}], 
      SuperscriptBox["\[ExponentialE]", "2"]], ",", " ", 
     RowBox[{"{", 
      RowBox[{"x", ",", " ", "1.9", ",", "4.5"}], "}"}], ",", " ", 
     RowBox[{"PlotStyle", "\[Rule]", "Green"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "15"}], ",", "1"}], "}"}]}]}], "]"}]}], ";"}]}], "Input",\

 CellChangeTimes->{{3.570580902375268*^9, 3.570580953083973*^9}, {
   3.570580992699539*^9, 3.570581053365753*^9}, {3.5705811138506517`*^9, 
   3.570581201532219*^9}, {3.5705812327730503`*^9, 3.570581361669948*^9}, {
   3.570581739164011*^9, 3.570581763294636*^9}, 3.570583614382873*^9, {
   3.570583664203985*^9, 3.570583731063375*^9}, {3.570583863427835*^9, 
   3.5705838672874603`*^9}, {3.570584114010284*^9, 3.570584132500346*^9}, {
   3.5705885600367823`*^9, 3.57058867382707*^9}, {3.570589294028433*^9, 
   3.5705893336482897`*^9}, {3.570589374414845*^9, 3.5705893932687798`*^9}, {
   3.570589424367215*^9, 3.5705894307736597`*^9}, {3.570589574365388*^9, 
   3.570589662893806*^9}, {3.5705897902321873`*^9, 3.570589811684312*^9}, {
   3.570589860194929*^9, 3.570589902766571*^9}, {3.570589965007773*^9, 
   3.5705900245422087`*^9}, {3.570590055078704*^9, 3.570590055332136*^9}, {
   3.570590214580331*^9, 3.570590216002057*^9}, {3.570590335348196*^9, 
   3.570590336023529*^9}, {3.570590369554356*^9, 3.570590397519113*^9}, {
   3.570591794752595*^9, 3.570591795285232*^9}, {3.570591827403879*^9, 
   3.570591828064684*^9}, {3.570591863767343*^9, 3.570591864132128*^9}, {
   3.5706407612549334`*^9, 3.570640796274839*^9}, {3.57064191028895*^9, 
   3.5706419109162683`*^9}, {3.570652153623547*^9, 3.5706521539061832`*^9}, {
   3.570652385671597*^9, 3.570652386060169*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"y", "[", "10", "]"}]], "Input",
 CellChangeTimes->{{3.570580943852474*^9, 3.570580945723538*^9}, {
  3.570581221683352*^9, 3.5705812222893543`*^9}, {3.570581343995181*^9, 
  3.570581344561323*^9}, {3.5705817824916353`*^9, 3.5705817831073837`*^9}}],

Cell[BoxData[
 RowBox[{"-", "13.575209267200002`"}]], "Output",
 CellChangeTimes->{{3.570580947094574*^9, 3.570580974414691*^9}, 
   3.5705810083908463`*^9, {3.57058121755334*^9, 3.570581257072763*^9}, 
   3.570581307072308*^9, {3.570581345738635*^9, 3.570581370957128*^9}, {
   3.5705817715979548`*^9, 3.570581784173304*^9}, 3.5705837867581177`*^9, 
   3.570584137729594*^9, 3.570588434890072*^9, {3.570588630674451*^9, 
   3.57058864472309*^9}, 3.5705918323718348`*^9, 3.570640688843659*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"DSolve", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"y", "'"}], "[", "x", "]"}], "\[Equal]", 
       RowBox[{
        RowBox[{"y", "[", "x", "]"}], "-", "x"}]}], ",", 
      RowBox[{
       RowBox[{"y", "[", "2", "]"}], "\[Equal]", "0"}]}], "}"}], ",", 
    RowBox[{"y", "[", "x", "]"}], ",", "x"}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.570586471868544*^9, 3.570586619673192*^9}, {
   3.570586650495555*^9, 3.570586652095296*^9}, {3.570586704853656*^9, 
   3.570586705316091*^9}, 3.570641763248788*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"y", "[", "x", "]"}], "\[Rule]", 
    FractionBox[
     RowBox[{
      SuperscriptBox["\[ExponentialE]", "2"], "-", 
      RowBox[{"3", " ", 
       SuperscriptBox["\[ExponentialE]", "x"]}], "+", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", "2"], " ", "x"}]}], 
     SuperscriptBox["\[ExponentialE]", "2"]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{
  3.5705864739418*^9, {3.570586531330378*^9, 3.570586620588109*^9}, {
   3.570586653847413*^9, 3.570586658851336*^9}, {3.570586691142254*^9, 
   3.5705867061677427`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"Plot", "[", 
      RowBox[{
       FractionBox[
        RowBox[{
         SuperscriptBox["\[ExponentialE]", "2"], "-", 
         RowBox[{"3", " ", 
          SuperscriptBox["\[ExponentialE]", "x"]}], "+", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", "2"], " ", "x"}]}], 
        SuperscriptBox["\[ExponentialE]", "2"]], ",", " ", 
       RowBox[{"{", 
        RowBox[{"x", ",", " ", "1.9", ",", "4.5"}], "}"}], ",", " ", 
       RowBox[{"PlotStyle", "\[Rule]", "Green"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "15"}], ",", "1"}], "}"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"PlotLabel", "\[Rule]", " ", 
        RowBox[{
         SubscriptBox["\"\<y\>\"", "k"], "  ", 
         RowBox[{"Panel", "[", 
          RowBox[{"y", "[", "k", "]"}], "]"}]}]}]}], "]"}], ",", "V", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{"Red", ",", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"L", "[", "i", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "0", ",", "k"}], "}"}]}], "]"}]}], "}"}], "]"}], 
     ",", " ", "\[IndentingNewLine]", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{
         SubscriptBox["\"\<x\>\"", "k"], 
         SubscriptBox["\"\<, y\>\"", "k"]}], "  ", ",", " ", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"x", "[", "k", "]"}], "+", 
           RowBox[{"(", ".1", ")"}]}], ",", " ", 
          RowBox[{
           RowBox[{"y", "[", "k", "]"}], "+", 
           RowBox[{"(", ".4", ")"}]}]}], "}"}]}], "]"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "Large", "]"}], ",", "Red", ",", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"Point", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"x", "[", "i", "]"}], ",", 
             RowBox[{"y", "[", "i", "]"}]}], "}"}], " ", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "0", ",", "k"}], "}"}]}], "]"}]}], "}"}], 
      "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "0", ",", "10", ",", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQBmIQ/eHUQ4PIWa8ca4rbTUH0hDs6DiB6iVuEM4heJ9fo
A6Kj5i0A031C7GEg+sTmvAgQHTG3KQZEHwi3jAPR++vmJ4FoHUmmfBCtmfWg
FER/eGVRAaLPlzq1gmgjVsM2EB15j7ELRGcws0wB0eJ9k7uigXTvygfzQfS2
G19WgeiYxUd3gmilH/v3g2immRfBdG35JqZYIB297CKYLmu4wgGiNVy4OEH0
qukhL0uAdP2mFDCdJL7iK4i2YS75CaKv2KRllQJpP7UZYHrD06RKEO1kOhdM
i/+3mlcFpIXOe4BpAIMPmxg=
  "]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`k$$ = 10, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`k$$], 0, 10, 1}}, Typeset`size$$ = {
    540., {183., 193.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`k$4100$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`k$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`k$$, $CellContext`k$4100$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        Plot[(E^2 - 3 E^$CellContext`x + E^2 $CellContext`x)/
         E^2, {$CellContext`x, 1.9, 4.5}, PlotStyle -> Green, 
         PlotRange -> {-15, 1}, PlotLabel -> 
         Subscript["y", $CellContext`k$$] Panel[
            $CellContext`y[$CellContext`k$$]]], $CellContext`V, 
        Graphics[{Red, 
          Table[
           $CellContext`L[$CellContext`i], {$CellContext`i, 
            0, $CellContext`k$$}]}], 
        Graphics[
         Text[
         Subscript["x", $CellContext`k$$] 
          Subscript[
           ", y", $CellContext`k$$], {$CellContext`x[$CellContext`k$$] + 
           0.1, $CellContext`y[$CellContext`k$$] + 0.4}]], 
        Graphics[{
          PointSize[Large], Red, 
          Table[
           Point[{
             $CellContext`x[$CellContext`i], 
             $CellContext`y[$CellContext`i]}], {$CellContext`i, 
            0, $CellContext`k$$}]}]], 
      "Specifications" :> {{$CellContext`k$$, 0, 10, 1}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{604., {267., 275.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.570640695940484*^9, 3.5706407167601337`*^9}, {
   3.570640801401928*^9, 3.570640814496656*^9}, 3.570640844675625*^9, 
   3.570641767197179*^9, {3.5706418701265993`*^9, 3.5706418859065313`*^9}, 
   3.5706419211263123`*^9, 3.570652403255705*^9, 3.570654493807146*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"DSolve", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"y", "'"}], "[", "x", "]"}], "\[Equal]", 
       RowBox[{"x", " ", "-", 
        RowBox[{"y", "[", "x", "]"}]}]}], ",", 
      RowBox[{
       RowBox[{"y", "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}], ",", 
    RowBox[{"y", "[", "x", "]"}], ",", "x"}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.570590712130712*^9, 3.570590726967906*^9}, {
  3.570641801167384*^9, 3.570641803205884*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"y", "[", "x", "]"}], "\[Rule]", 
    RowBox[{
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{"-", "x"}]], " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       SuperscriptBox["\[ExponentialE]", "x"], "+", 
       RowBox[{
        SuperscriptBox["\[ExponentialE]", "x"], " ", "x"}]}], ")"}]}]}], 
   "}"}], "}"}]], "Output",
 CellChangeTimes->{3.570590728253557*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"Clear", "[", 
   RowBox[{"x", ",", "k"}], "]"}], ";", 
  RowBox[{"Clear", "[", 
   RowBox[{"y", ",", "n"}], "]"}]}]], "Input",
 CellChangeTimes->{3.570590637710692*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"x", "[", "0", "]"}], ":=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"h", ":=", ".5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"x", "[", "k_", "]"}], ":=", 
   RowBox[{
    RowBox[{"x", "[", 
     RowBox[{"k", "-", "1"}], "]"}], "+", "h"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"F", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], "=", 
   RowBox[{"x", "-", "y"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"y", "[", "0", "]"}], ":=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"y", "[", "n_", "]"}], ":=", 
   RowBox[{
    RowBox[{"y", "[", 
     RowBox[{"n", "-", "1"}], "]"}], "+", 
    RowBox[{"h", "*", 
     RowBox[{"F", "[", 
      RowBox[{
       RowBox[{"x", "[", 
        RowBox[{"n", "-", "1"}], "]"}], ",", 
       RowBox[{"y", "[", 
        RowBox[{"n", "-", "1"}], "]"}]}], "]"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"L", "[", "i_", "]"}], ":=", 
   RowBox[{"Arrow", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"x", "[", 
         RowBox[{"i", "-", "1"}], "]"}], ",", 
        RowBox[{"y", "[", 
         RowBox[{"i", "-", "1"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"x", "[", "i", "]"}], ",", 
        RowBox[{"y", "[", "i", "]"}]}], "}"}]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"V", "=", 
   RowBox[{"VectorPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{"x", "-", "y"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "2.5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{"-", "1"}], ",", "3"}], "}"}], ",", 
     RowBox[{"VectorScale", "\[Rule]", "0.01"}]}], "]"}]}], ";", 
  RowBox[{"P", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"-", "x"}]], " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        SuperscriptBox["\[ExponentialE]", "x"], "+", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", "x"], " ", "x"}]}], ")"}]}], ",", 
     " ", 
     RowBox[{"{", 
      RowBox[{"x", ",", " ", "0", ",", "2.5"}], "}"}], ",", " ", 
     RowBox[{"PlotStyle", "\[Rule]", "Green"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", "3"}], "}"}]}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.5705906246250467`*^9, 3.570590688307644*^9}, {
  3.570590739700712*^9, 3.5705907928289013`*^9}, {3.570590840650866*^9, 
  3.570590844833006*^9}, {3.570590904352507*^9, 3.570590956750923*^9}, {
  3.570591709874606*^9, 3.570591710397839*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"-", "x"}]], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          SuperscriptBox["\[ExponentialE]", "x"], "+", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", "x"], " ", "x"}]}], ")"}]}], ",",
        " ", 
       RowBox[{"{", 
        RowBox[{"x", ",", " ", "0", ",", "2.5"}], "}"}], ",", " ", 
       RowBox[{"PlotStyle", "\[Rule]", "Green"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "3"}], "}"}]}], ",", " ", 
       "\[IndentingNewLine]", 
       RowBox[{"PlotLabel", "\[Rule]", " ", 
        RowBox[{
         SubscriptBox["\"\<y\>\"", "k"], "  ", 
         RowBox[{"Panel", "[", 
          RowBox[{"y", "[", "k", "]"}], "]"}]}]}]}], "]"}], ",", "V", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{"Red", ",", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"L", "[", "i", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "0", ",", "k"}], "}"}]}], "]"}]}], "}"}], "]"}], 
     ",", " ", "\[IndentingNewLine]", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{
         SubscriptBox["\"\<x\>\"", "k"], 
         SubscriptBox["\"\<, y\>\"", "k"]}], "  ", ",", " ", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"x", "[", "k", "]"}], "+", 
           RowBox[{"(", ".1", ")"}]}], ",", " ", 
          RowBox[{
           RowBox[{"y", "[", "k", "]"}], "+", 
           RowBox[{"(", ".2", ")"}]}]}], "}"}]}], "]"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "Large", "]"}], ",", "Red", ",", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"Point", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"x", "[", "i", "]"}], ",", 
             RowBox[{"y", "[", "i", "]"}]}], "}"}], " ", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "0", ",", "k"}], "}"}]}], "]"}]}], "}"}], 
      "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "0", ",", "10", ",", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.570590817292508*^9, {3.570591382338058*^9, 3.570591495382778*^9}, {
   3.570591598366303*^9, 3.570591646522843*^9}, {3.570640904550397*^9, 
   3.570640939714608*^9}, {3.570641130320263*^9, 3.57064120737121*^9}, {
   3.570641260320116*^9, 3.570641290324852*^9}, {3.5706413270940323`*^9, 
   3.570641422219511*^9}, {3.570641471044445*^9, 3.57064152799109*^9}, {
   3.570641577933474*^9, 3.57064157886672*^9}, {3.570641617410955*^9, 
   3.5706417009634237`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`k$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`k$$], 0, 10, 1}}, Typeset`size$$ = {
    540., {189., 199.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`k$3301$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`k$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`k$$, $CellContext`k$3301$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        Plot[
        E^(-$CellContext`x) (1 - E^$CellContext`x + 
          E^$CellContext`x $CellContext`x), {$CellContext`x, 0, 2.5}, 
         PlotStyle -> Green, PlotRange -> {-1, 3}, PlotLabel -> 
         Subscript["y", $CellContext`k$$] Panel[
            $CellContext`y[$CellContext`k$$]]], $CellContext`V, 
        Graphics[{Red, 
          Table[
           $CellContext`L[$CellContext`i], {$CellContext`i, 
            0, $CellContext`k$$}]}], 
        Graphics[
         Text[
         Subscript["x", $CellContext`k$$] 
          Subscript[
           ", y", $CellContext`k$$], {$CellContext`x[$CellContext`k$$] + 
           0.1, $CellContext`y[$CellContext`k$$] + 0.2}]], 
        Graphics[{
          PointSize[Large], Red, 
          Table[
           Point[{
             $CellContext`x[$CellContext`i], 
             $CellContext`y[$CellContext`i]}], {$CellContext`i, 
            0, $CellContext`k$$}]}]], 
      "Specifications" :> {{$CellContext`k$$, 0, 10, 1}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{604., {254., 261.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.570640906204234*^9, 3.570640940591529*^9}, 
   3.570641209615809*^9, 3.5706412946149387`*^9, {3.570641330276031*^9, 
   3.570641352793728*^9}, 3.5706413877884893`*^9, 3.57064142318058*^9, 
   3.57064147265207*^9, {3.570641506544993*^9, 3.570641529531754*^9}, 
   3.5706415801050653`*^9, 3.570641620533332*^9, {3.570641651191738*^9, 
   3.570641701832116*^9}, 3.5706418533303137`*^9}]
}, Open  ]]
},
WindowSize->{1189, 901},
WindowMargins->{{Automatic, 362}, {Automatic, 0}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.5, 1.5 Inherited],
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (February 23, \
2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 425, 9, 40, "Input"],
Cell[985, 31, 4182, 111, 287, "Input"],
Cell[CellGroupData[{
Cell[5192, 146, 271, 4, 40, "Input"],
Cell[5466, 152, 493, 7, 40, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5996, 164, 600, 16, 40, "Input"],
Cell[6599, 182, 606, 16, 70, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7242, 203, 2764, 74, 177, "Input"],
Cell[10009, 279, 2610, 56, 566, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[12656, 340, 532, 15, 40, "Input"],
Cell[13191, 357, 445, 14, 40, "Output"]
}, Open  ]],
Cell[13651, 374, 203, 6, 40, "Input"],
Cell[13857, 382, 2802, 87, 229, "Input"],
Cell[CellGroupData[{
Cell[16684, 473, 2869, 75, 110, "Input"],
Cell[19556, 550, 2759, 59, 539, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
